### Function

# EDataServer timeout_add_seconds_with_name

since: 3.12

#### Declaration [src]

    guint
    e_timeout_add_seconds_with_name (
      gint priority,
      guint interval,
      const gchar* name,
      GSourceFunc function,
      gpointer data,
      GDestroyNotify notify
    )

#### Description [src]

Similar to g_timeout_add_seconds_full(), but also names the `GSource` as `name`.

You might find `e_named_timeout_add_seconds()` or `e_named_timeout_add_seconds_full()` more convenient. Those macros name the `GSource` implicitly.

Available since: 3.12

#### Parameters

`priority`

  Type: `gint`

  The priority of the timeout source, typically in the range between #G_PRIORITY_DEFAULT and #G_PRIORITY_HIGH.

`interval`

  Type: `guint`

  The time between calls to the function, in seconds.

`name`

  Type: `const gchar*`

  Debug name for the source.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`function`

  Type: `GSourceFunc`

  Function to call.

`data`

  Type: `gpointer`

  Data to pass to `function`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`notify`

  Type: `GDestroyNotify`

  Function to call when the timeout is removed, or `NULL`.

  The argument can be `NULL`.

#### Return value

Type: `guint`

The ID (greater than 0) of the event source.